---
title: POST Process Statements
slug: post-process-statements
icon: 🟩
createdAt: 2022-03-23T01:57:46.000Z
---

:::ApiMethodV2
```json
{
  "tab": "examples",
  "url": "https://gfp-api.acdev.io/api/v1/pending-invoices/process",
  "name": "Process Statements",
  "method": "POST",
  "request": {
    "pathParameters": [],
    "queryParameters": [],
    "headerParameters": [],
    "bodyDataParameters": [
      {
        "kind": "optional",
        "name": "ids",
        "type": "Array",
        "children": [
          {
            "kind": "required",
            "name": "statementDate",
            "type": "String",
            "children": [],
            "description": "Date object represented as 2023-06-22"
          },
          {
            "kind": "required",
            "name": "rowNum",
            "type": "Integer",
            "description": "Index of the upload object being uploaded"
          },
          {
            "kind": "optional",
            "name": "patientId",
            "type": "string",
            "description": "PMS ID of Patient"
          },
          {
            "kind": "optional",
            "name": "providerId",
            "type": "string",
            "description": "PMS ID of Patient's provider"
          },
          {
            "kind": "optional",
            "name": "amountDue",
            "type": "Number",
            "description": "Amount of the statement.  Represented in cents.  e.g. 600 for $6"
          },
          {
            "kind": "optional",
            "name": "firstName",
            "type": "string",
            "description": "Patient's first name"
          },
          {
            "kind": "optional",
            "name": "lastName",
            "type": "string",
            "description": "Patient's last name"
          },
          {
            "kind": "optional",
            "name": "email",
            "type": "string",
            "description": "Patient's email.  Must be provided if patient is to get statement via email"
          },
          {
            "kind": "optional",
            "name": "smsPhoneNumber",
            "type": "string",
            "description": "Patient's phone number.  Must be provided if patient is to get statement texted.  Format is +15555555555"
          },
          {
            "kind": "optional",
            "name": "addressLine1",
            "type": "string",
            "description": "Address - Line 1"
          },
          {
            "kind": "optional",
            "name": "addressLine2",
            "type": "string",
            "description": "Address - Line2"
          },
          {
            "kind": "optional",
            "name": "addressCity",
            "type": "string",
            "description": "Address - City"
          },
          {
            "kind": "optional",
            "name": "addressState",
            "type": "string",
            "description": "Address - State"
          },
          {
            "kind": "optional",
            "name": "addressZip",
            "type": "string",
            "description": "Address - Zip"
          },
          {
            "kind": "optional",
            "name": "patientNote",
            "type": "string",
            "description": "Custom note to be provided to patient on their invoice"
          },
          {
            "kind": "optional",
            "name": "externalLocationId",
            "type": "string",
            "description": "If uploading a file for multiple locations at once, must specify your identifier for this location.  This is configured via the Store Admin Configurations panel"
          },
          {
            "kind": "optional",
            "name": "lineItems",
            "type": "Object",
            "children": [
              {
                "kind": "optional",
                "name": "date",
                "type": "string",
                "description": "Date of upload.  Formatted as yyyy-MM-dd"
              },
              {
                "kind": "optional",
                "name": "dateOfService",
                "type": "string",
                "description": "Date of procedure service.  Formatted as yyyy-MM-dd"
              },
              {
                "kind": "optional",
                "name": "sku",
                "type": "string",
                "description": "Procedure SKU"
              },
              {
                "kind": "optional",
                "name": "charges",
                "type": "Integer",
                "description": "Charges for this line item, represented in cents"
              },
              {
                "kind": "optional",
                "name": "credit",
                "type": "Integer",
                "description": "Credit for this line item, represented in cents.  This represents any negative amount applied to procedure (e.g. insurance payment, pre-payment, discount, etc)\n"
              },
              {
                "kind": "optional",
                "name": "balance",
                "type": "Integer",
                "description": "Overall amount for this line item"
              },
              {
                "kind": "optional",
                "name": "patientFirstName",
                "type": "string",
                "description": "If Billing to a guarantor for a dependent's procedure, include that dependent's name here"
              },
              {
                "kind": "optional",
                "name": "patientLastName",
                "type": "string",
                "description": "If Billing to a guarantor for a dependent's procedure, include that dependent's name here"
              }
            ],
            "description": "Array of Billable Line Items.  These can be credits as well (e.g. -$50 already paid)"
          }
        ],
        "description": "Array of Statement IDs to process.  This ID is sent back as `id` in the response when first uploading file OR when calling GET Statements.\n\nRequired if filter is not used."
      },
      {
        "name": "filter",
        "kind": "optional",
        "type": "String",
        "description": "A rsql status status=in=(\"Pending\") to use instead of the array of ids. If ids are passed the filter will be ignored.\n\nRequired if ids is not used.",
        "children": []
      }
    ],
    "formDataParameters": []
  },
  "results": {
    "languages": [
      {
        "id": "c0f7bjPcqHaJiKYiBqEF0",
        "code": "Success",
        "language": "200",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "c0f7bjPcqHaJiKYiBqEF0"
  },
  "examples": {
    "languages": [
      {
        "id": "TsJH4BARuElrAzdNuPV8E",
        "code": "curl -X POST \\\n  --url 'https://gfp-api.acdev.io/api/v1/pending-invoices/process' \\\n  --header 'content-type: application/json;charset=UTF-8' \\\n  --header 'accept: application/json' \\\n  --header 'X-Api-Key: {Secret API Key}' \\\n  --header 'X-Store-Id: {Store ULID}' \\\n  --data-raw '\n{\n  \"ids\": [\"01H3JK407G9SBRGSJ1ZRW7V93T\"]\n}'",
        "language": "json",
        "customLabel": "IDs"
      },
      {
        "id": "C2ncS9j_HQBZpramJ2VOb",
        "language": "json",
        "code": "curl -X POST \\\n  --url 'https://gfp-api.acdev.io/api/v1/pending-invoices/process' \\\n  --header 'content-type: application/json;charset=UTF-8' \\\n  --header 'accept: application/json' \\\n  --header 'X-Api-Key: {Secret API Key}' \\\n  --header 'X-Store-Id: {Store ULID}' \\\n  --data-raw '\n{\n  \"filter\": \"status=in=(\\\"Pending\\\")\"\n}'",
        "customLabel": "Filter"
      }
    ],
    "selectedLanguageId": "C2ncS9j_HQBZpramJ2VOb"
  },
  "description": "The backend code requires your store ID, private key, and a means to identify the desired statements. This can be achieved through specific statement IDs or a defined filter. In case both are provided, statement IDs will be prioritized.",
  "currentNewParameter": {
    "label": "Body Parameter",
    "value": "bodyDataParameters"
  }
}
```
:::



